Bug 1331431 - Catalog Item displayed in Catalog even when not selected for Display.
Summary: Catalog Item displayed in Catalog even when not selected for Display.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.5.5
Assignee: Harpreet Kataria
QA Contact: Jeff Teehan
URL:
Whiteboard: service:catalog:ui
Depends On: 1326090
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-28 13:50 UTC by Chris Pelland
Modified: 2016-07-26 15:33 UTC (History)
8 users (show)

Fixed In Version: 5.5.5.2
Doc Type: Bug Fix
Doc Text:
Clone Of: 1326090
Environment:
Last Closed: 2016-07-26 15:33:18 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 2 CFME Bot 2016-06-13 18:39:46 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=3e03d5c1a6282de0733d1900faa64e91b97e8be4

commit 3e03d5c1a6282de0733d1900faa64e91b97e8be4
Merge: 4ef2094 23e5a16
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Mon Jun 13 13:30:15 2016 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Mon Jun 13 13:30:15 2016 -0400

    Merge branch '55z_pr_8304' into '5.5.z'
    
    Do not show items not marked to be displayed in Catalog in tree
    
    Fixed Service Catalogs tree to not show items that are not marked to display in catalog. List on the right right side was already working correctly.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1326090
    https://bugzilla.redhat.com/show_bug.cgi?id=1331431
    (cherry picked from commit 54c6fdb)
    
    @dclarizi please review, clean cherry-pick for https://github.com/ManageIQ/manageiq/pull/8304
    
    See merge request !918

 app/presenters/tree_builder_service_catalog.rb     |  2 +-
 .../tree_builder_service_catalog_spec.rb           | 27 ++++++++++++++++++++++
 2 files changed, 28 insertions(+), 1 deletion(-)

Comment 3 CFME Bot 2016-06-13 18:39:59 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=23e5a16bfebaf633ceeeec3509e88d2978fdbd3e

commit 23e5a16bfebaf633ceeeec3509e88d2978fdbd3e
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Apr 27 17:32:59 2016 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Apr 28 12:55:16 2016 -0400

    Do not show items not marked to be displayed in Catalog in tree
    
    Fixed Service Catalogs tree to not show items that are not marked to display in catalog. List on the right right side was already working correctly.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1326090
    https://bugzilla.redhat.com/show_bug.cgi?id=1331431
    (cherry picked from commit 54c6fdb)

 app/presenters/tree_builder_service_catalog.rb     |  2 +-
 .../tree_builder_service_catalog_spec.rb           | 27 ++++++++++++++++++++++
 2 files changed, 28 insertions(+), 1 deletion(-)
 create mode 100644 spec/presenters/tree_builder_service_catalog_spec.rb

Comment 5 Jeff Teehan 2016-07-14 22:58:46 UTC
Verified this is working correctly on 5.5.5.2 using httsp://10.16.7.61

Moving to verified.

Comment 7 errata-xmlrpc 2016-07-26 15:33:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html


Note You need to log in before you can comment on or make changes to this bug.